#ifndef KAFLOATINGBARPAGE_H
#define KAFLOATINGBARPAGE_H

#include <memory>
#include <QWidget>

using namespace std;

class KAFloatingBarPage : public QWidget
{
    Q_OBJECT
public:
    explicit KAFloatingBarPage(QWidget *parent = nullptr);
    ~KAFloatingBarPage();
    void mEnableBtnDisabled();
    void mEnableBtnSetting();

signals:
    void sigShowScribeWords();
    void sigCloseScribeWords();

private slots:

private:
    void initLayout();
    void initConnection();

private:
    class Private;
    shared_ptr<Private> d_ptr;
};

#endif // KAFLOATINGBARPAGE_H
